Bug 111709 - RHSA-2003:392 module cpufreq.c fails to build using RH std config
RHSA-2003:392 module cpufreq.c fails to build using RH std config
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-08 20:58 EST by olivier clarisse
Modified: 2007-04-18 13:00 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-09 03:07:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description olivier clarisse 2003-12-08 20:58:43 EST
Description of problem:
With latest kernel provided as part of RHSA-2003:392 - Security Advisory
for RH 8.0 kernel 2.4.20, the kernel builds, however
the module cpufreq does not build based isomg /boot/config-2.4.20-24.8
as installed by RH -- Version of RH is all updated and unchanged.

Version-Release number of selected component (if applicable):
Kernel Sources 2.4.20-24.8

How reproducible:
Everytime

Steps to Reproduce:
1. Install RH advisory kernel and source RHSA-2003:392
2. Build kernel:
$ cd /usr/src/linux-2.4
$ cp /boot/config-2.4.20-24.8 .config
$ make dep; make bzImage
Okay
3. Build standard RH modules:
$ make modules 

Actual results:
make modules fails at cpufreq.c compilation time.

Expected results:
All modules as config need to build so make modules_install can be used...

Additional info:

Tail of error from build included:
/usr/src/linux-2.4.20-24.8/include/linux/prefetch.h:13,
                 from /usr/src/linux-2.4.20-24.8/include/linux/list.h:6,
                 from
/usr/src/linux-2.4.20-24.8/include/linux/module.h:12,
                 from cpufreq.c:16:
/usr/src/linux-2.4.20-24.8/include/asm/processor.h:51: warning:
parameter names
(without types) in function declaration
/usr/src/linux-2.4.20-24.8/include/asm/processor.h:51: field
`loops_per_jiffy_R_ver_str' declared as a function
/usr/src/linux-2.4.20-24.8/include/asm/processor.h:74: invalid suffix on
integer constant
/usr/src/linux-2.4.20-24.8/include/asm/processor.h:74: parse error
before numeric constant
/usr/src/linux-2.4.20-24.8/include/asm/processor.h:74: warning: function
declaration isn't a prototype
/usr/src/linux-2.4.20-24.8/include/asm/processor.h:257: invalid suffix
on integer constant
/usr/src/linux-2.4.20-24.8/include/asm/processor.h:257: parse error
before numeric constant
/usr/src/linux-2.4.20-24.8/include/asm/processor.h:257: warning:
function declaration isn't a prototype
/usr/src/linux-2.4.20-24.8/include/asm/processor.h:261: warning:
parameter names (without types) in function declaration
In file included from cpufreq.c:16:
/usr/src/linux-2.4.20-24.8/include/linux/module.h:183: invalid suffix on
integer constant
/usr/src/linux-2.4.20-24.8/include/linux/module.h:183: parse error
before numeric constant
/usr/src/linux-2.4.20-24.8/include/linux/module.h:183:
`inter_module_register_R_ver_str' declared as function returning a
function
/usr/src/linux-2.4.20-24.8/include/linux/module.h:183: warning: function
declaration isn't a prototype
/usr/src/linux-2.4.20-24.8/include/linux/module.h:184: invalid suffix on
integer constant
/usr/src/linux-2.4.20-24.8/include/linux/module.h:184: parse error
before numeric constant
/usr/src/linux-2.4.20-24.8/include/linux/module.h:184:
`inter_module_unregister_R_ver_str' declared as function returning a
function
/usr/src/linux-2.4.20-24.8/include/linux/module.h:184: warning: function
declaration isn't a prototype
/usr/src/linux-2.4.20-24.8/include/linux/module.h:185:
`inter_module_get_R_ver_str' declared as function returning a function
/usr/src/linux-2.4.20-24.8/include/linux/module.h:185: warning:
parameter names
(without types) in function declaration
/usr/src/linux-2.4.20-24.8/include/linux/module.h:186:
`inter_module_get_request_R_ver_str' declared as function returning a
function
/usr/src/linux-2.4.20-24.8/include/linux/module.h:186: warning:
parameter names
(without types) in function declaration
/usr/src/linux-2.4.20-24.8/include/linux/module.h:187: invalid suffix on
integer constant
/usr/src/linux-2.4.20-24.8/include/linux/module.h:187: parse error
before numeric constant
/usr/src/linux-2.4.20-24.8/include/linux/module.h:187:
`inter_module_put_R_ver_str' declared as function returning a function
/usr/src/linux-2.4.20-24.8/include/linux/module.h:187: warning: function
declaration isn't a prototype
/usr/src/linux-2.4.20-24.8/include/linux/module.h:196:
`try_inc_mod_count_R_ver_str' declared as function returning a function
/usr/src/linux-2.4.20-24.8/include/linux/module.h:196: warning:
parameter names
(without types) in function declaration
In file included from /usr/src/linux-2.4.20-24.8/include/linux/fs.h:19,
                 from
/usr/src/linux-2.4.20-24.8/include/linux/capability.h:17,
                 from
/usr/src/linux-2.4.20-24.8/include/linux/binfmts.h:5,
                 from /usr/src/linux-2.4.20-24.8/include/linux/sched.h:9,
                 from /usr/src/linux-2.4.20-24.8/include/linux/mm.h:22,
                 from /usr/src/linux-2.4.20-24.8/include/linux/slab.h:14,
                 from
/usr/src/linux-2.4.20-24.8/include/linux/proc_fs.h:5,
                 from cpufreq.c:24:
/usr/src/linux-2.4.20-24.8/include/linux/dcache.h: In function `dget':
/usr/src/linux-2.4.20-24.8/include/linux/dcache.h:254: warning: implicit
declaration of function `__out_of_line_bug_R8b0fd3c5'
cpufreq.c: In function `cpufreq_parse_policy':
cpufreq.c:111: warning: implicit declaration of function
`sscanf_R859204af'
cpufreq.c: In function `cpufreq_proc_read':
cpufreq.c:225: warning: implicit declaration of function
`sprintf_R1d26aa98'
cpufreq.c: In function `cpufreq_proc_init':
cpufreq.c:327: warning: implicit declaration of function
`printk_R1b7d4074'
cpufreq.c: In function `cpufreq_restore':
cpufreq.c:1109: warning: implicit declaration of function
`panic_R01075bf0'
cpufreq.c: At top level:
cpufreq.c:192: warning: `cpufreq_setup' defined but not used
make[1]: *** [cpufreq.o] Error 1
make[1]: Leaving directory `/usr/src/linux-2.4.20-24.8/kernel'
make: *** [_mod_kernel] Error 2
[root@tinus linux]# gcc --version
gcc (GCC) 3.2 20020903 (Red Hat Linux 8.0 3.2-7)
Copyright (C) 2002 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR
PURPOSE.
Comment 1 Arjan van de Ven 2003-12-09 03:07:58 EST
you forgot "make mrproper" as the very first step.

Note You need to log in before you can comment on or make changes to this bug.